Bug 18658 - possible problem with $HOME/.terminfo + set[gu]id programs
Summary: possible problem with $HOME/.terminfo + set[gu]id programs
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ncurses   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-08 21:12 UTC by Pekka Savola
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-09 09:17:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Savola 2000-10-08 21:12:53 UTC
OpenBSD people have issued a fix a couple of days ago for libcurses which
makes it ignore terminal descriptions in $HOME/.terminfo as well as
TERMCAP.

I looked at this briefly, and the the basic idea behind it seems to be
applicable for curses 4.0-5.1 (at least) on RHL.  I'm not sure if this is strictly 
necessary, but probably would be worth checking out.

ftp://ftp.openbsd.org/pub/OpenBSD/patches/2.7/common/027_curses.patch

Comment 1 Bernhard Rosenkraenzer 2000-10-09 09:17:34 UTC
We're aware of the problem and its fix (it's somewhat different from the BSD
one); the fixed package will be released later today.

Comment 2 Bernhard Rosenkraenzer 2000-10-11 12:46:37 UTC
The fixed package is in rawhide; the updates are (still) waiting for QA
approval.


Note You need to log in before you can comment on or make changes to this bug.